SingleUGIResolver (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: SingleUGIResolver

Package org.apache.hadoop.hdfs.server.namenode

# Class SingleUGIResolver

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.UGIResolver
org.apache.hadoop.hdfs.server.namenode.SingleUGIResolver

All Implemented Interfaces:
  `Configurable`

@Public @Unstable public class SingleUGIResolver extends UGIResolver implements Configurable
Map all owners/groups in external system to a single user in FSImage.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GID`
  `static final String`
  `GROUP`
  `static final String`
  `UID`
  `static final String`
  `USER`

  ### Fields inherited from class org.apache.hadoop.hdfs.server.namenode.UGIResolver

  `GROUP_STRID_OFFSET, USER_GROUP_STRID_MASK, USER_STRID_OFFSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleUGIResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGroup(String name)`
  `void`
  `addUser(String name)`
  `Configuration`
  `getConf()`
  Return the configuration used by this object.
  `String`
  `group(String s)`
  `void`
  `setConf(Configuration conf)`
  Set the configuration to be used by this object.
  `String`
  `user(String s)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.UGIResolver

  `addGroup, addUser, buildPermissionStatus, getPermissionsProto, permission, resetUGInfo, resolve, ugiMap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UID

    public static final String UID
    See Also:
      - Constant Field Values

  - ### USER

    public static final String USER
    See Also:
      - Constant Field Values

  - ### GID

    public static final String GID
    See Also:
      - Constant Field Values

  - ### GROUP

    public static final String GROUP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SingleUGIResolver

    public SingleUGIResolver()

- ## Method Details

  - ### setConf

    public void setConf(Configuration conf)
    Description copied from interface: `Configurable`
    Set the configuration to be used by this object.
    Specified by:
      `setConf` in interface `Configurable`
    Parameters:
      `conf` - configuration to be used

  - ### getConf

    public Configuration getConf()
    Description copied from interface: `Configurable`
    Return the configuration used by this object.
    Specified by:
      `getConf` in interface `Configurable`
    Returns:
      Configuration

  - ### user

    public String user(String s)
    Overrides:
      `user` in class `UGIResolver`

  - ### group

    public String group(String s)
    Overrides:
      `group` in class `UGIResolver`

  - ### addUser

    public void addUser(String name)
    Specified by:
      `addUser` in class `UGIResolver`

  - ### addGroup

    public void addGroup(String name)
    Specified by:
      `addGroup` in class `UGIResolver`